Package org.apache.iotdb.jdbc

# Class IoTDBDataSource

java.lang.Object
org.apache.iotdb.jdbc.IoTDBDataSource

All Implemented Interfaces:
  `Wrapper`, `CommonDataSource`, `DataSource`

public class IoTDBDataSource extends Object implements DataSource

## Constructor Summary

Constructors
Constructor
Description
`IoTDBDataSource()`
`IoTDBDataSource(String url, String user, String password, Integer port)`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
`Connection`
`getConnection(String username, String password)`
`int`
`getLoginTimeout()`
`PrintWriter`
`getLogWriter()`
`Logger`
`getParentLogger()`
`String`
`getPassword()`
`Integer`
`getPort()`
`String`
`getUrl()`
`String`
`getUser()`
`boolean`
`isWrapperFor(Class<?> aClass)`
`void`
`setLoginTimeout(int i)`
`void`
`setLogWriter(PrintWriter printWriter)`
`void`
`setPassword(String password)`
`void`
`setPort(Integer port)`
`void`
`setUrl(String url)`
`void`
`setUser(String user)`
`<T> T`
`unwrap(Class<T> aClass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IoTDBDataSource

public IoTDBDataSource()

### IoTDBDataSource

public IoTDBDataSource(String url, String user, String password, Integer port)

## Method Details

### getUser

public String getUser()

### setUser

public void setUser(String user)

### getPassword

public String getPassword()

### setPassword

public void setPassword(String password)

### getPort

public Integer getPort()

### setPort

public void setPort(Integer port)

### getUrl

public String getUrl()

### setUrl

public void setUrl(String url)

### getConnection

public Connection getConnection() throws SQLException

Specified by:
  `getConnection` in interface `DataSource`
Throws:
  `SQLException`

### getConnection

public Connection getConnection(String username, String password)

Specified by:
  `getConnection` in interface `DataSource`

### getLogWriter

public PrintWriter getLogWriter()

Specified by:
  `getLogWriter` in interface `CommonDataSource`

### setLogWriter

public void setLogWriter(PrintWriter printWriter)

Specified by:
  `setLogWriter` in interface `CommonDataSource`

### setLoginTimeout

public void setLoginTimeout(int i)

Specified by:
  `setLoginTimeout` in interface `CommonDataSource`

### getLoginTimeout

public int getLoginTimeout()

Specified by:
  `getLoginTimeout` in interface `CommonDataSource`

### getParentLogger

public Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `CommonDataSource`

### unwrap

public <T> T unwrap(Class<T> aClass)

Specified by:
  `unwrap` in interface `Wrapper`

### isWrapperFor

public boolean isWrapperFor(Class<?> aClass)

Specified by:
  `isWrapperFor` in interface `Wrapper`